# Uses of Class
org.eclipse.jdt.core.dom.ArrayInitializer

Packages that use ArrayInitializer
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ArrayInitializer in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ArrayInitializer
Modifier and Type
Method
Description
`ArrayInitializer`
ArrayCreation.`getInitializer()`
Returns the array initializer of this array creation expression, or `null` if there is none.
`ArrayInitializer`
AST.`newArrayInitializer()`
Creates and returns a new unparented array initializer node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type ArrayInitializer
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ArrayInitializer node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ArrayInitializer node, Object other)`
Returns whether the given node and the other object match.
`void`
ArrayCreation.`setInitializer(ArrayInitializer initializer)`
Sets or clears the array initializer of this array creation expression.
`boolean`
ASTVisitor.`visit(ArrayInitializer node)`
Visits the given type-specific AST node.